Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjml2java2
Class QCText

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMpeerSupportLite
            |
            +--com.jxml.quick.ocm.OCMrootPeerSupportLite
                  |
                  +--com.jxml.quick.ocm.OCMtemplate
                        |
                        +--com.jxml.quick.util.qjml2java2.QCCoin
                              |
                              +--com.jxml.quick.util.qjml2java2.QCText

All Implemented Interfaces:
  OCMpeer, OCMrootPeer

public class QCText
extends QCCoin

Controller Class for Text
This controller class contain the logic for template processing for text

See Also:
  More details here.

Field Summary
`QMText` | `ed`

Fields inherited from class com.jxml.quick.util.qjml2java2.QCCoin
`altTemplate, coinMap, folder, packageName, properties, qjml, qjmlInJava, remList, sb, shortClassName`

Fields inherited from class com.jxml.quick.ocm.OCMpeerSupportLite
`context, dataModel, paramMap, parent`

Constructor Summary
`QCText()`

Method Summary
`void` | `cvt(Object param)` Method declaration
`String` | `process(String templateName, String arg)` Method declaration Contains template processing logic to process the templates

Methods inherited from class com.jxml.quick.ocm.OCMtemplate
`expand, expandString, express, express`

Methods inherited from class com.jxml.quick.ocm.OCMrootPeerSupportLite
`convert, convert, getOutputRoot`

Methods inherited from class com.jxml.quick.ocm.OCMpeerSupportLite
`doCvt, doCvt, doCvt, init, peer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.ocm.OCMpeer
`init`

Field Detail

### ed

    public QMText ed

Constructor Detail

### QCText

    public QCText()

Method Detail

### cvt

    public void cvt(Object param)
             throws SAXException,
                    IOException

  Method declaration
  Overrides:
    `cvt` in class `QCCoin`
  Parameters:
    `param` - Name of the parameter
  Throws:
    `SAXException` - Legal SAXException
    `IOException` - Legal IOException

### process

    public String process(String templateName,
                          String arg)
                   throws SAXException,
                          IOException

  Method declaration
  Contains template processing logic to process the templates
  Overrides:
    `process` in class `QCCoin`
  Parameters:
    `templateName` - The name of the Template it is a string
    `arg` - The parameter name it is a string
  Returns:
    string The string values to be plugged inside the templates
  Throws:
    `SAXException` -
    `IOException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD